Subject: Fwd: Emacs crashes when I try to quit

From: Sawbones Surio <[email-masked]>
Date: Thu, 18 Apr 2013 19:03:33 +0530

My apologies for multiple postings. I'm having this error, everytime I quit
emacs in Windows 7. More details here.
http://superuser.com/questions/576512/emacs-24-3-on-windows-7-does-not-close-properly

On the emacs IRC channel, I was told that the gcc version used for building
this one is a duff one, and rebuilding from another version ought to make
this go away. I was asked to bring this up with someone here on the list,
and there's nothing else that can be done.

I hope you can roll out a new release of emacs on a different gcc version
to prevent this error message.

Thanks in advance.
Surio.

---------- Forwarded message ----------
From: Sawbones Surio <[email-masked]>
Date: 3 April 2013 21:17
Subject: Re: Emacs crashes when I try to quit
To: [email-masked]

Greetings!

Basically, emacs has crashed on Win XP/7 for me, every time while I closed
it, since 23.x. I'm on the latest release, and being completely fed up now,
I finally decided to do something about it.

The fastest way to provide a context and background of my problem is to
provide this Stack Exchange link:
http://superuser.com/questions/576512/emacs-24-3-on-windows-7-does-not-close-properly

@Eli told me to get in touch here:

Ask the person who produced emacs.exe to tell you where he/she
> downloaded libgcc_s_dw2-1.dll, and what are its size and time stamp.
> Then look for that version of the DLL on that very site.
>

Thanks for any help you have on this one, people.

Best,
surio.

On 3 April 2013 21:02, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 3 Apr 2013 20:29:40 +0530
> > From: Sawbones Surio <[email-masked]>
> > Cc: [email-masked]
> >
> > So the conclusion is that libgcc_s_dw2-1.dll that came with gnuplot is
> > incompatible with what Emacs was linked against.  To solve this
> > without having to remove gnuplot, find the file libgcc_s_dw2-1.dll
> > that Emacs is using now (e.g., by using the "depends" program), and
> > copy it into the same directory where you have emacs.exe.
> >
> > Hi,
> >
> > I'm having exactly the same problem.
> > See here:
> http://superuser.com/questions/576512/emacs-24-3-on-windows-7-does-not-close-properly
> >
> > But there is a slight twist in the tale for me:
> > In my case, "libgcc_s_dw2-1.dll" was never seen in dependency walker.
> Whoa!
> > And I had ~16 of those libgcc_s_dw2-1.dll files in various FOSS modules.
> > Per your suggestion, I tried pasting these dlls from 3-4 different
> > applications, one at a time, into \bin\emacs.exe dir, but I still get
> > the same error.
> >
> > Since this was not going anywhere, I've decided to let the list know
> > of this behaviour.
> >
> > Any suggestions?
>
> Ask the person who produced emacs.exe to tell you where he/she
> downloaded libgcc_s_dw2-1.dll, and what are its size and time stamp.
> Then look for that version of the DLL on that very site.
>